Package org.apache.cxf.policy

# Interface PolicyDataEngine

public interface PolicyDataEngine

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> void`
  `assertMessage(Message message, T confPol, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  `getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  `getPolicy(Message message, T confPolicy, PolicyCalculator<T> intersector)`
  `<T> T`
  `getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)`

- ## Method Details

  - ### getPolicy

    <T> T getPolicy(Message message, T confPolicy, PolicyCalculator<T> intersector)

  - ### getClientEndpointPolicy

    <T> T getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)

  - ### getServerEndpointPolicy

    <T> T getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)

  - ### assertMessage

    <T> void assertMessage(Message message, T confPol, PolicyCalculator<T> policyCalculator)